## qt6-opcua 6.9.1

=== debian/changelog ===
qt6-opcua (6.9.1-0zneon+24.04+noble+stable+build12) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 09 Jul 2025 16:03:50 +0000

qt6-opcua (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:29:19 +1000

qt6-opcua (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 00:53:22 +1000

qt6-opcua (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:29:11 +1000

qt6-opcua (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:10:09 +1000

qt6-opcua (6.8.0-0neon) noble; urgency=medium

  * Initial qt6 release
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 27 Jul 2024 15:36:34 +1000
