=== debian/control ===
Source: qt6-opcua
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper,
               debhelper-compat (= 13),
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.1~),
               qt6-declarative-dev (>= 6.9.1~)
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-opcua.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-opcua
Maintainer: Neon CI <neon@kde.org>

Package: qt6-opcua
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base, ${misc:Depends}, ${shlibs:Depends}
Description: Qt OPC UA Library
 The Qt OPC UA module implements a Qt API to interact with OPC UA on
 top of a 3rd party OPC UA stack.
 .
 The stacks are integrated as plugins and can be selected at runtime.
 Currently, the following implementations are supported:
 Open62541 v1.3.1, MPLv2
 Unified Automation C++ SDK (UACpp), Commercial
 .
 The QML API is still in development but are available as a technology
 preview. This means those parts are unstable, likely to change, and
 provided as a convenience only.

Package: qt6-opcua-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-opcua (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: cmake
Description: Qt 6 OPC UA development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building
 Qt 6 OPC UA applications.
