=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1~),
-               qt6-declarative-dev (>= 6.9.1~)
+               qt6-base-dev (>= 6.9.2~),
+               qt6-declarative-dev (>= 6.9.2~)
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
