=== debian/changelog ===
qt6-opcua (6.10.0-0zneon+24.04+noble+release+build16) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 11:36:44 +0000

qt6-opcua (6.10.0-0neon) noble; urgency=medium

  * New release
