=== debian/watch ===
version=4
https://github.com/qt/qtopcua/tags .*/v?(\d.*)@ARCHIVE_EXT@
